package com.dxhy.domestic.constants;

import lombok.AllArgsConstructor;

/**
 * @author dxhy
 */
@AllArgsConstructor
public enum CxbdkStatusEnum {
    // 撤销不抵扣处理状态0未申请，1申请，2发送申请，4申请成功，5申请失败

    A("0", "未申请"), B("1", "已申请"), C("2", "已发送撤销不抵扣"), D("4", "撤销不抵扣成功"), E("5", "撤销不抵扣失败");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (CxbdkStatusEnum materialEnum : CxbdkStatusEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
